Loading...
Searching...
No Matches
UiBuilder Struct Reference

`#include <gx_plugin.h>`

Inheritance diagram for UiBuilder:

## Public Attributes

PluginDef * | plugin
void(* | load_glade )(const char *data)
void(* | load_glade_file )(const char *fname)
void(* | openTabBox )(const char *label)
void(* | openVerticalBox )(const char *label)
void(* | openVerticalBox1 )(const char *label)
void(* | openVerticalBox2 )(const char *label)
void(* | openHorizontalBox )(const char *label)
void(* | openHorizontalhideBox )(const char *label)
void(* | openHorizontalTableBox )(const char *label)
void(* | openFrameBox )(const char *label)
void(* | openFlipLabelBox )(const char *label)
void(* | openpaintampBox )(const char *label)
void(* | closeBox )()
void(* | insertSpacer )()
void(* | set_next_flags )(int flags)
void(* | create_master_slider )(const char *id, const char *label)
void(* | create_feedback_slider )(const char *id, const char *label)
void(* | create_small_rackknob )(const char *id, const char *label)
void(* | create_big_rackknob )(const char *id, const char *label)
void(* | create_selector_no_caption )(const char *id)
void(* | create_switch_no_caption )(const char *sw_type, const char *id)
void(* | create_feedback_switch )(const char *sw_type, const char *id)
void(* | create_spin_value )(const char *id, const char *label)
void(* | create_port_display )(const char *id, const char *label)
void(* | create_p_display )(const char *id, const char *idl, const char *idh)
void(* | create_switch )(const char *sw_type, const char *id, const char *label)
void(* | create_selector )(const char *id, const char *label)
void(* | create_simple_meter )(const char *id)
void(* | create_simple_c_meter )(const char *id, const char *idl, const char *label)
void(* | create_small_rackknobr )(const char *id, const char *label)
void(* | create_wheel )(const char *id, const char *label)
void(* | create_simple_spin_value )(const char *id)
void(* | create_eq_rackslider_no_caption )(const char *id)
void(* | create_fload_switch )(const char *sw_type, const char *id, const char *idf)
void(* | create_mid_rackknob )(const char *id, const char *label)

## Detailed Description

Definition at line 63 of file gx_plugin.h.

## Member Data Documentation

## closeBox

void(* UiBuilder::closeBox) ()

Definition at line 77 of file gx_plugin.h.

## create_big_rackknob

void(* UiBuilder::create_big_rackknob) (const char *id, const char *label)

Definition at line 87 of file gx_plugin.h.

## create_eq_rackslider_no_caption

void(* UiBuilder::create_eq_rackslider_no_caption) (const char *id)

Definition at line 101 of file gx_plugin.h.

## create_feedback_slider

void(* UiBuilder::create_feedback_slider) (const char *id, const char *label)

Definition at line 85 of file gx_plugin.h.

## create_feedback_switch

void(* UiBuilder::create_feedback_switch) (const char *sw_type, const char *id)

Definition at line 90 of file gx_plugin.h.

## create_fload_switch

void(* UiBuilder::create_fload_switch) (const char *sw_type, const char *id, const char *idf)

Definition at line 102 of file gx_plugin.h.

## create_master_slider

void(* UiBuilder::create_master_slider) (const char *id, const char *label)

Definition at line 84 of file gx_plugin.h.

## create_mid_rackknob

void(* UiBuilder::create_mid_rackknob) (const char *id, const char *label)

Definition at line 103 of file gx_plugin.h.

## create_p_display

void(* UiBuilder::create_p_display) (const char *id, const char *idl, const char *idh)

Definition at line 93 of file gx_plugin.h.

## create_port_display

void(* UiBuilder::create_port_display) (const char *id, const char *label)

Definition at line 92 of file gx_plugin.h.

## create_selector

void(* UiBuilder::create_selector) (const char *id, const char *label)

Definition at line 95 of file gx_plugin.h.

## create_selector_no_caption

void(* UiBuilder::create_selector_no_caption) (const char *id)

Definition at line 88 of file gx_plugin.h.

## create_simple_c_meter

void(* UiBuilder::create_simple_c_meter) (const char *id, const char *idl, const char *label)

Definition at line 97 of file gx_plugin.h.

## create_simple_meter

void(* UiBuilder::create_simple_meter) (const char *id)

Definition at line 96 of file gx_plugin.h.

## create_simple_spin_value

void(* UiBuilder::create_simple_spin_value) (const char *id)

Definition at line 100 of file gx_plugin.h.

## create_small_rackknob

void(* UiBuilder::create_small_rackknob) (const char *id, const char *label)

Definition at line 86 of file gx_plugin.h.

## create_small_rackknobr

void(* UiBuilder::create_small_rackknobr) (const char *id, const char *label)

Definition at line 98 of file gx_plugin.h.

## create_spin_value

void(* UiBuilder::create_spin_value) (const char *id, const char *label)

Definition at line 91 of file gx_plugin.h.

## create_switch

void(* UiBuilder::create_switch) (const char *sw_type, const char *id, const char *label)

Definition at line 94 of file gx_plugin.h.

## create_switch_no_caption

void(* UiBuilder::create_switch_no_caption) (const char *sw_type, const char *id)

Definition at line 89 of file gx_plugin.h.

## create_wheel

void(* UiBuilder::create_wheel) (const char *id, const char *label)

Definition at line 99 of file gx_plugin.h.

## insertSpacer

void(* UiBuilder::insertSpacer) ()

Definition at line 78 of file gx_plugin.h.

## load_glade

void(* UiBuilder::load_glade) (const char *data)

Definition at line 65 of file gx_plugin.h.

## load_glade_file

void(* UiBuilder::load_glade_file) (const char *fname)

Definition at line 66 of file gx_plugin.h.

## openFlipLabelBox

void(* UiBuilder::openFlipLabelBox) (const char *label)

Definition at line 75 of file gx_plugin.h.

## openFrameBox

void(* UiBuilder::openFrameBox) (const char *label)

Definition at line 74 of file gx_plugin.h.

## openHorizontalBox

void(* UiBuilder::openHorizontalBox) (const char *label)

Definition at line 71 of file gx_plugin.h.

## openHorizontalhideBox

void(* UiBuilder::openHorizontalhideBox) (const char *label)

Definition at line 72 of file gx_plugin.h.

## openHorizontalTableBox

void(* UiBuilder::openHorizontalTableBox) (const char *label)

Definition at line 73 of file gx_plugin.h.

## openpaintampBox

void(* UiBuilder::openpaintampBox) (const char *label)

Definition at line 76 of file gx_plugin.h.

## openTabBox

void(* UiBuilder::openTabBox) (const char *label)

Definition at line 67 of file gx_plugin.h.

## openVerticalBox

void(* UiBuilder::openVerticalBox) (const char *label)

Definition at line 68 of file gx_plugin.h.

## openVerticalBox1

void(* UiBuilder::openVerticalBox1) (const char *label)

Definition at line 69 of file gx_plugin.h.

## openVerticalBox2

void(* UiBuilder::openVerticalBox2) (const char *label)

Definition at line 70 of file gx_plugin.h.

## plugin

PluginDef* UiBuilder::plugin

Definition at line 64 of file gx_plugin.h.

## set_next_flags

void(* UiBuilder::set_next_flags) (int flags)

Definition at line 79 of file gx_plugin.h.

The documentation for this struct was generated from the following file:

- src/headers/gx_plugin.h